﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using SDON.Serialization;

namespace SDON
{
    /// <summary>
    /// Interface for text
    /// </summary>
    public interface TextInterfaceAlignment<T>
    {
        /// <summary>
        /// Set horizontal text alignement     
        /// </summary>
        /// <param name="textAlignH">Alignment (one of HorizontalAlignments enums)</param>
        /// <returns>T</returns>
        T SetTextAlignH(string textAlignH);

        /// <summary>
        /// Set vertical text alignement     
        /// </summary>
        /// <param name="textAlignV">Alignment (one of VerticalAlignments enums)</param>
        /// <returns>T</returns>
        T SetTextAlignV(string textAlignV);   
    }
}
